Subject: [IPsec] Adam Roach's Yes on draft-ietf-ipsecme-implicit-iv-07: (with COMMENT)

From: Adam Roach via Datatracker <[email-masked]>
Date: Tue, 15 Oct 2019 19:51:21 -0700

Adam Roach has entered the following ballot position for
draft-ietf-ipsecme-implicit-iv-07: Yes

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-ipsecme-implicit-iv/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Thanks for the work on this mechanism. I have no substantive comments
beyond those that have already been shared, although I do have some
minor editorial comments.

---------------------------------------------------------------------------

§2:

>  In some context, such as IoT, it may be preferable to avoid carrying

Nit: "...some contexts..."

---------------------------------------------------------------------------

§5:

>  An initiator supporting this feature SHOULD propose implicit IV
>  algorithms in the Transform Type 1 (Encryption Algorithm)
>  Substructure of the Proposal Substructure inside the SA Payload.

Please expand "SA" on first use.

---------------------------------------------------------------------------

> 7.  Security Consideration

Nit: "Considerations"

---------------------------------------------------------------------------

§7:

>  extensions ([RFC6311], [RFC7383]) do allow it to repeat, so there is
>  no an easy way to derive unique IV from IKEv2 header fields.

Nit: "...not an easy way..."

---

From: Daniel Migault <[email-masked]>
Date: Tue, 15 Oct 2019 23:07:34 -0400

Hi Adam,

Thanks for the feed back. All your comments have been fixed on the current
local version available at:
https://github.com/mglt/draft-mglt-ipsecme-implicit-iv/blob/master/draft-ietf-ipsecme-implicit-iv.txt

We expect to publish the version tomorrow.

Yours,
Daniel

On Tue, Oct 15, 2019 at 10:51 PM Adam Roach via Datatracker <
[email-masked]> wrote:

> Fixed

> Fixed

Fixed

Fixed

>
>
> _______________________________________________
> IPsec mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ipsec
>

---

From: Daniel Migault <[email-masked]>
Date: Thu, 17 Oct 2019 10:05:37 -0400

Hi,

Just to make everyone aware, we have issued a new version that we hope
addresses all concerns.
https://tools.ietf.org/html/draft-ietf-ipsecme-implicit-iv-08
Yours,
Daniel

---

From: Alexey Melnikov <[email-masked]>
Date: Mon, 21 Oct 2019 12:48:36 +0100

Hi Daniel,

> https://tools.ietf.org/html/draft-ietf-ipsecme-implicit-iv-08

Thank you for posting -08 and -09.

I just need one more change: IANA pointed out that you removed the name 
of the registry from the IANA Considerations section. You should add it 
back, as not having it in the document is confusing.

Thank you,

Alexey

> Yours,
> Daniel
>
> On Tue, Oct 15, 2019 at 11:07 PM Daniel Migault 
> <[email-masked] <mailto:[email-masked]>> wrote:
>
>     Hi Adam,
>
>     Thanks for the feed back. All your comments have been fixed on the
>     current local version available at:
>     On Tue, Oct 15, 2019 at 10:51 PM Adam Roach via Datatracker
>     <[email-masked] <mailto:[email-masked]>> wrote:
>
>         Please refer to
>         https://www.ietf.org/iesg/statement/discuss-criteria.html
>         [email-masked] <mailto:[email-masked]>
> secdir mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/secdir
> wiki: http://tools.ietf.org/area/sec/trac/wiki/SecDirReview

---

From: Daniel Migault <[email-masked]>
Date: Mon, 21 Oct 2019 15:30:13 -0400

Thanks Alexey,

I just posted a new version with the following text:

"""
   The IANA has assigned the following code points to the registry
   Transform Type 1 - Encryption Algorithm Transform IDs [IANA]:

"""

Yours,
Daniel

On Mon, Oct 21, 2019 at 7:49 AM Alexey Melnikov <[email-masked]>
wrote:

> I just need one more change: IANA pointed out that you removed the name of
> the registry from the IANA Considerations section. You should add it back,
> as not having it in the document is confusing.
>
> Thank you,
>
> Alexey
>
> Yours,
> Daniel
>
> On Tue, Oct 15, 2019 at 11:07 PM Daniel Migault <
> [email-masked]> wrote:
>
>> Hi Adam,
>>
> secdir mailing [email-masked]://www.ietf.org/mailman/listinfo/secdir